﻿namespace COA.EnterpriseServices.DataAccess.Helpers
{
    public class BaseHelper<T> where T : class, IRecord
    {
        protected DataAccessManager<T> DataAccessManager { get; } = new DataAccessManager<T>();

        public virtual T Get(int id) => DataAccessManager.Invoke(d => d.Get(id));

        public virtual bool Add(T item) => DataAccessManager.Invoke(d => d.Add(item));
    }
}
