﻿using COA.EnterpriseServices.DataAccess.Entities;
using COA.EnterpriseServices.DataAccess.Helpers;

namespace COA.EnterpriseServices.Sandbox
{
    internal class Program
    {
        private static void Main(string[] args)
        {
            ClientStuff();
            //CreditorStuff();
        }

        private static void CreditorStuff()
        {
            var creditorHelper = new CreditorHelper();

            // get single creditor
            var singleCreditor = creditorHelper.Get(1);

            // search creditors
            var searchedCreditors = creditorHelper.FindByName("Guy");

            // search active creditors 
            var activeCreditors = creditorHelper.FindByStatus("Active");

            var newCreditor = new Creditor
            {
                ClientFirstName = "New",
                ClientLastName = "Guy",
                Status = "Active"
            };

            creditorHelper.Add(newCreditor);
        }

        private static void ClientStuff()
        {
            var clientHelper = new ClientHelper();

            var newClient = new Client
            {
                FirstName = "Ryan",
                LastName = "Peters",
                Email = "ryan@binarydad.com",
                Phone = 4102183673
            };

            clientHelper.Add(newClient);
        }
    }
}
